- Qt 6.4
- Qt XML
- C++ Classes
- QDomDocument
- Qt 6.4.2 Reference Documentation

# Obsolete Members for QDomDocument

The following members of class QDomDocument are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated)` bool | setContent(QIODevice *dev, QString *errorMsg = nullptr, int *errorLine = nullptr, int *errorColumn = nullptr)

## Member Function Documentation

### bool QDomDocument::setContent(QIODevice *dev, QString *errorMsg = nullptr, int *errorLine = nullptr, int *errorColumn = nullptr)

This function is deprecated. We strongly advise against using it in new code.

This is an overloaded function.

This function reads the XML document from the IO device dev, returning true if the content was successfully parsed; otherwise returns `false`.

No namespace processing is performed.